diff --git a/tests/gtest/avifrgbtoyuvtest.cc b/tests/gtest/avifrgbtoyuvtest.cc
index 81b567535..49fc4af2f 100644
--- a/tests/gtest/avifrgbtoyuvtest.cc
+++ b/tests/gtest/avifrgbtoyuvtest.cc
@@ -429,6 +429,7 @@ INSTANTIATE_TEST_SUITE_P(MonochromeLossless12b, RGBToYUVTest,
 
 // Can be used to print the drift of all RGB to YUV conversion possibilities.
 // Also used for coverage.
+#if defined(AVIF_LIBSHARPYUV_ENABLED)
 INSTANTIATE_TEST_SUITE_P(
     SharpYuv8Bit, RGBToYUVTest,
     Combine(
@@ -474,6 +475,7 @@ INSTANTIATE_TEST_SUITE_P(
                                                // color shift.
         /*min_psnr=*/Values(34.)  // SharpYuv distortion is acceptable.
         ));
+#endif  // defined(AVIF_LIBSHARPYUV_ENABLED)
 
 // Can be used to print the drift of all RGB to YUV conversion possibilities.
 // Also used for coverage.
